package com.ibm.ctg.ping;
/**
*   Class: Argument
*   
*   Support pack for IBM CICS Transaction Gateway Version v5.0 to v7.3 
*
*   Version       : 1.3
*
*   Description   : Connects to a specified Gateway daemon, issues requests
*   and measures the time taken for operations to complete. This is useful for 
*   testing and debugging connectivity and performance.
*
*   See support pack documentation for details on how to configure and use this
*   sample. Also see the support pack for information on configuration necessary on
*   CICS.
*   
*   Licensed Materials - Property of IBM
*
*   Copyright IBM Corporation 2008
*   All Rights Reserved
*
*   US Government Users Restricted Rights - Use,
*   duplication, or disclosure restricted by GSA
*   Schedule Contract with IBM Corporation
*
*
*   The following code is sample code created by IBM Corporation.  This
*   sample code is not part of any standard IBM product and is provided
*   to you solely for the purpose of assisting you in the development of
*   your applications.  The code is provided 'AS IS', without warranty
*   or condition of any kind.  IBM shall not be liable for any damages
*   arising out of your use of the sample code, even if IBM has been
*   advised of the possibility of such damages.
* 
*/

public class ThinkTimeArgument extends Argument {

   public ThinkTimeArgument(char name, int defaultValue, int valueRequired) {
      super(name, defaultValue, valueRequired);
   }

   public ThinkTimeArgument(char name, Object defaultValue, int argType, int valueRequired) {
      super(name, defaultValue, argType, valueRequired);
   }

   public ThinkTimeArgument(char name, String defaultValue, int valueRequired) {
      super(name, defaultValue, valueRequired);
   }

   public int getValueAsInt() {
      //The default value specified is in milliseconds.
      //The argument passed in by the user is in seconds. Thread sleep 
      //takes a value in seconds. Multiply by 1000 so we sleep for the
      //correct time.
      if (argType==INTEGER_ARG) {
         if (valueSpecified) {
           return ((Integer)value).intValue()*1000;
         } else {
           return ((Integer)defaultValue).intValue();
         }
      } else {
         return -1;
      }
   }


   
}
