      *                                                                
      * Module Name        pong.ccp
      *                                                                
      * Descriptive Name   Backend transaction for use with the
      *                    CTGping utility.              
      *                                                 
      * Licensed Materials - Property of IBM
      * 
      * 5724-I81 5724-J09
      * 
      * (c) Copyright IBM Corp. 2007,2008
      * 
      * US Government Users Restricted Rights - Use, duplication or
      * disclosure restricted by GSA ADP Schedule Contract with
      * IBM Corp.
      * 
      * Status: Version 1 Release 2
      * Notes :-                                                       
      *                                                                
      * This server program returns the commarea input length.
      * 
      * PONG is used by the CTGping utility to provide basic network
      * statistics.  
      *                                                                
      * The following code is sample code created by IBM Corporation.  
      * This sample code is not part of any standard IBM product and   
      * is provided to you solely for the purpose of assisting you in  
      * the development of your applications.  The code is provided    
      * 'as is', without warranty or condition of any kind.  IBM shall 
      * not be liable for any damages arising out of your use of the   
      * sample code, even if IBM has been advised of the possibility   
      * of such damages.                                               
      *

       IDENTIFICATION DIVISION.

       PROGRAM-ID. PONG.
      * SAMPLE DPL/ECI BASED APPLICATION SUPPLIED WITH CH50
      * CICS BACK END FOR A LINK WITH COMMAREA
      * OUTPUT: COMMAREA INPUT LENGTH

       ENVIRONMENT DIVISION.
       DATA DIVISION.

       WORKING-STORAGE SECTION.

       01  CALEN-SV                      PIC S9(8) BINARY.
       01  RESP                          PIC S9(8) BINARY.
       01  ABSTIME                       PIC X(8).
       01  ABEND-CODE                    PIC X(4) VALUE 'PONG'.
       01  APPLID                        PIC X(8).
       01  SC-AREA                       PIC X(8).
       01  USER-AREA                     PIC X(8).

       01 COMMAREA-IN.
          03 INPUT-DATA                  PIC X(32768).


       LINKAGE SECTION.

       01 DFHCOMMAREA.
          03 CALEN-RETURN                PIC Z(5).

       PROCEDURE DIVISION.

           MOVE DFHCOMMAREA TO COMMAREA-IN.
           MOVE EIBCALEN TO CALEN-SV.
           IF EIBCALEN < (LENGTH OF DFHCOMMAREA) THEN
             MOVE 'LENG' TO ABEND-CODE
             EXEC CICS ABEND ABCODE(ABEND-CODE)
                     END-EXEC.


           EXEC CICS ASSIGN APPLID(APPLID)
                            STARTCODE(SC-AREA)
                            USERID(USER-AREA)
                     END-EXEC.

           MOVE CALEN-SV TO CALEN-RETURN.
           EXEC CICS RETURN
                     END-EXEC.
           EXIT.
